[hsflinux] Cannot get modem work with KPPP.

Linuxant support (Jonathan) support at linuxant.com
Tue Apr 4 12:13:42 EDT 2006


without a valid license installed, the HSF modem driver is limited to 
14.4kbps. A license token which can be converted in a license can be 
purchased from our web store located at:


About the merging, I meant that stable versions of ALSA are merged into 
new versions of the Linux kernel. If that happen and it breaks the HSF 
modem driver, we will provide a patch to fix the issue. Advanced Linux 
users can modify the code close to the Linux kernel of the HSF modem 
driver if a patch is not yet available.


Technical specialist / Linuxant
support at linuxant.com

hufh wrote:
> Thanks for your answer.
> I found if the error occurs only when the rate exceeds 14.4kbps. So i 
> believe this is
> the limitation for free vesion.
> You mentioned it can be merged into ALSA(1.0.11RC4), could you please 
> tell me how i can do this?
> Thank you in advance.
> On 4/4/06, *Linuxant support (Jonathan)* <support at linuxant.com 
> <mailto:support at linuxant.com>> wrote:
>     Hi,
>     for the pppd problem, can you try with another dialing program to see if
>     there is a difference? You could also try to use a low level
>     communication software like 'minicom' to see if the problem is with the
>     modem driver or not.
>     When the problematic version of ALSA will be added in the official Linux
>     kernel, we will provide patches for these problems, if any. In the
>     meantime, with the generic packages of the HSF modem driver, we provide
>     the source code which is close to the kernel. You can always change that
>     code to support your custom kernel with ALSA 1.0.11RC4.
>     Regards,
>     Jonathan
>     Technical specialist / Linuxant
>     www.linuxant.com <http://www.linuxant.com>
>     support at linuxant.com <mailto:support at linuxant.com>
>     hufh wrote:
>      > Hi,
>      >
>      > I have already compiled and installed the driver(Free version). Also
>      > /dev/modem can be queried via kppp client. but when connected to ISP
>      > with kppp, some error occurred. it reported "pppd has died, and the
>      > connection can't be established. I suspected I used too high
>      > speed(57600bps), so i changed modem to 9600bps, but the problem
>     still
>      > exists.
>      >
>      > Another issue is the driver is incompatible with ALSA 1.0.11RC4
>     which my
>      > sound card need it. Is there any plan to address this issue?
>     Thanks a lot.
>      >
>      > BTW: I am using kernel 2.6.16.
>      >
>      >
>      >
>     ------------------------------------------------------------------------
>      >
>      > _______________________________________________
>      > hsflinux mailing list
>      > hsflinux at lists.linuxant.com <mailto:hsflinux at lists.linuxant.com>
>      > https://www.linuxant.com/mailman/listinfo/hsflinux
> ------------------------------------------------------------------------
> _______________________________________________
> hsflinux mailing list
> hsflinux at lists.linuxant.com
> https://www.linuxant.com/mailman/listinfo/hsflinux

More information about the hsflinux mailing list